import {intervals, currencies, subStates} from './generalConstants.js'

export interface niceItem{
    variantId: string,
    title: string,
    qty: number,
    price: number   
}

export interface niceBillingRecord{
    date: Date,
    sealId: number,
    shopOrderId: string
}

export interface niceSubObj{
    shopSubId: number,
    sealSubId: number,
    originalOrderId: number,
    interval: intervals,
    created: Date,
    email: string,
    subCurrency: currencies,
    chargePerInterval: number,
    subStatus: subStates,
    subAdminPageUrl: string,
    customerId: string,
    items: niceItem[],
    billing: niceBillingRecord[]
}