export declare const isProduction: boolean;
export declare let sealKey: string;
export declare let baseURL: string;
export declare let apiPath: string;
export declare enum httpTypes {
    "get" = "GET",
    "post" = "POST"
}
export declare enum serviceTypes {
    allSubs = "allSubs",
    subDetails = "subDetails",
    magicLink = "magicLink"
}
type reqMapping = {
    [serviceName in serviceTypes]: {
        method: httpTypes;
        endPoint: string;
        argStr: null | string;
    };
};
export declare const services: reqMapping;
export {};
